# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: praefect.proto

import sys
_b=sys.version_info[0]<3 and (lambda x:x) or (lambda x:x.encode('latin1'))
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
from google.protobuf import descriptor_pb2
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


from google.protobuf import timestamp_pb2 as google_dot_protobuf_dot_timestamp__pb2
from . import lint_pb2 as lint__pb2
from . import shared_pb2 as shared__pb2


DESCRIPTOR = _descriptor.FileDescriptor(
  name='praefect.proto',
  package='gitaly',
  syntax='proto3',
  serialized_pb=_b('\n\x0epraefect.proto\x12\x06gitaly\x1a\x1fgoogle/protobuf/timestamp.proto\x1a\nlint.proto\x1a\x0cshared.proto\"\xc6\x01\n\x15MarkUnverifiedRequest\x12\x17\n\rrepository_id\x18\x01 \x01(\x03H\x00\x12\x19\n\x0fvirtual_storage\x18\x02 \x01(\tH\x00\x12\x38\n\x07storage\x18\x03 \x01(\x0b\x32%.gitaly.MarkUnverifiedRequest.StorageH\x00\x1a\x33\n\x07Storage\x12\x17\n\x0fvirtual_storage\x18\x01 \x01(\t\x12\x0f\n\x07storage\x18\x02 \x01(\tB\n\n\x08selector\"1\n\x16MarkUnverifiedResponse\x12\x17\n\x0freplicas_marked\x18\x01 \x01(\x03\"\xb3\x01\n\x1cGetRepositoryMetadataRequest\x12\x17\n\rrepository_id\x18\x01 \x01(\x03H\x00\x12\x39\n\x04path\x18\x02 \x01(\x0b\x32).gitaly.GetRepositoryMetadataRequest.PathH\x00\x1a\x36\n\x04Path\x12\x17\n\x0fvirtual_storage\x18\x01 \x01(\t\x12\x15\n\rrelative_path\x18\x02 \x01(\tB\x07\n\x05query\"\xfe\x02\n\x1dGetRepositoryMetadataResponse\x12\x15\n\rrepository_id\x18\x01 \x01(\x03\x12\x17\n\x0fvirtual_storage\x18\x02 \x01(\t\x12\x15\n\rrelative_path\x18\x03 \x01(\t\x12\x14\n\x0creplica_path\x18\x04 \x01(\t\x12\x0f\n\x07primary\x18\x05 \x01(\t\x12\x12\n\ngeneration\x18\x06 \x01(\x03\x12?\n\x08replicas\x18\x07 \x03(\x0b\x32-.gitaly.GetRepositoryMetadataResponse.Replica\x1a\x99\x01\n\x07Replica\x12\x0f\n\x07storage\x18\x01 \x01(\t\x12\x10\n\x08\x61ssigned\x18\x02 \x01(\x08\x12\x12\n\ngeneration\x18\x04 \x01(\x03\x12\x0f\n\x07healthy\x18\x05 \x01(\x08\x12\x15\n\rvalid_primary\x18\x06 \x01(\x08\x12/\n\x0bverified_at\x18\x07 \x01(\x0b\x32\x1a.google.protobuf.Timestamp\"i\n\x1bSetReplicationFactorRequest\x12\x17\n\x0fvirtual_storage\x18\x01 \x01(\t\x12\x15\n\rrelative_path\x18\x02 \x01(\t\x12\x1a\n\x12replication_factor\x18\x03 \x01(\x05\"0\n\x1cSetReplicationFactorResponse\x12\x10\n\x08storages\x18\x01 \x03(\t\"o\n\x1eSetAuthoritativeStorageRequest\x12\x17\n\x0fvirtual_storage\x18\x01 \x01(\t\x12\x15\n\rrelative_path\x18\x02 \x01(\t\x12\x1d\n\x15\x61uthoritative_storage\x18\x03 \x01(\t\"!\n\x1fSetAuthoritativeStorageResponse\"U\n\x14\x44\x61talossCheckRequest\x12\x17\n\x0fvirtual_storage\x18\x01 \x01(\t\x12$\n\x1cinclude_partially_replicated\x18\x02 \x01(\x08\"\xcd\x02\n\x15\x44\x61talossCheckResponse\x12>\n\x0crepositories\x18\x02 \x03(\x0b\x32(.gitaly.DatalossCheckResponse.Repository\x1a\xf3\x01\n\nRepository\x12\x15\n\rrelative_path\x18\x01 \x01(\t\x12\x42\n\x08storages\x18\x02 \x03(\x0b\x32\x30.gitaly.DatalossCheckResponse.Repository.Storage\x12\x13\n\x0bunavailable\x18\x03 \x01(\x08\x12\x0f\n\x07primary\x18\x04 \x01(\t\x1a\x64\n\x07Storage\x12\x0c\n\x04name\x18\x01 \x01(\t\x12\x11\n\tbehind_by\x18\x02 \x01(\x03\x12\x10\n\x08\x61ssigned\x18\x03 \x01(\x08\x12\x0f\n\x07healthy\x18\x04 \x01(\x08\x12\x15\n\rvalid_primary\x18\x05 \x01(\x08\"C\n\x19RepositoryReplicasRequest\x12&\n\nrepository\x18\x01 \x01(\x0b\x32\x12.gitaly.Repository\"\xfa\x01\n\x1aRepositoryReplicasResponse\x12\x45\n\x07primary\x18\x01 \x01(\x0b\x32\x34.gitaly.RepositoryReplicasResponse.RepositoryDetails\x12\x46\n\x08replicas\x18\x02 \x03(\x0b\x32\x34.gitaly.RepositoryReplicasResponse.RepositoryDetails\x1aM\n\x11RepositoryDetails\x12&\n\nrepository\x18\x01 \x01(\x0b\x32\x12.gitaly.Repository\x12\x10\n\x08\x63hecksum\x18\x02 \x01(\t2\xcc\x04\n\x13PraefectInfoService\x12[\n\x12RepositoryReplicas\x12!.gitaly.RepositoryReplicasRequest\x1a\".gitaly.RepositoryReplicasResponse\x12L\n\rDatalossCheck\x12\x1c.gitaly.DatalossCheckRequest\x1a\x1d.gitaly.DatalossCheckResponse\x12j\n\x17SetAuthoritativeStorage\x12&.gitaly.SetAuthoritativeStorageRequest\x1a\'.gitaly.SetAuthoritativeStorageResponse\x12O\n\x0eMarkUnverified\x12\x1d.gitaly.MarkUnverifiedRequest\x1a\x1e.gitaly.MarkUnverifiedResponse\x12\x61\n\x14SetReplicationFactor\x12#.gitaly.SetReplicationFactorRequest\x1a$.gitaly.SetReplicationFactorResponse\x12\x64\n\x15GetRepositoryMetadata\x12$.gitaly.GetRepositoryMetadataRequest\x1a%.gitaly.GetRepositoryMetadataResponse\x1a\x04\xf0\x97(\x01\x42\x34Z2gitlab.com/gitlab-org/gitaly/v15/proto/go/gitalypbb\x06proto3')
  ,
  dependencies=[google_dot_protobuf_dot_timestamp__pb2.DESCRIPTOR,lint__pb2.DESCRIPTOR,shared__pb2.DESCRIPTOR,])




_MARKUNVERIFIEDREQUEST_STORAGE = _descriptor.Descriptor(
  name='Storage',
  full_name='gitaly.MarkUnverifiedRequest.Storage',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='virtual_storage', full_name='gitaly.MarkUnverifiedRequest.Storage.virtual_storage', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='storage', full_name='gitaly.MarkUnverifiedRequest.Storage.storage', index=1,
      number=2, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=221,
  serialized_end=272,
)

_MARKUNVERIFIEDREQUEST = _descriptor.Descriptor(
  name='MarkUnverifiedRequest',
  full_name='gitaly.MarkUnverifiedRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='repository_id', full_name='gitaly.MarkUnverifiedRequest.repository_id', index=0,
      number=1, type=3, cpp_type=2, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='virtual_storage', full_name='gitaly.MarkUnverifiedRequest.virtual_storage', index=1,
      number=2, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='storage', full_name='gitaly.MarkUnverifiedRequest.storage', index=2,
      number=3, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[_MARKUNVERIFIEDREQUEST_STORAGE, ],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
    _descriptor.OneofDescriptor(
      name='selector', full_name='gitaly.MarkUnverifiedRequest.selector',
      index=0, containing_type=None, fields=[]),
  ],
  serialized_start=86,
  serialized_end=284,
)


_MARKUNVERIFIEDRESPONSE = _descriptor.Descriptor(
  name='MarkUnverifiedResponse',
  full_name='gitaly.MarkUnverifiedResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='replicas_marked', full_name='gitaly.MarkUnverifiedResponse.replicas_marked', index=0,
      number=1, type=3, cpp_type=2, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=286,
  serialized_end=335,
)


_GETREPOSITORYMETADATAREQUEST_PATH = _descriptor.Descriptor(
  name='Path',
  full_name='gitaly.GetRepositoryMetadataRequest.Path',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='virtual_storage', full_name='gitaly.GetRepositoryMetadataRequest.Path.virtual_storage', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='relative_path', full_name='gitaly.GetRepositoryMetadataRequest.Path.relative_path', index=1,
      number=2, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=454,
  serialized_end=508,
)

_GETREPOSITORYMETADATAREQUEST = _descriptor.Descriptor(
  name='GetRepositoryMetadataRequest',
  full_name='gitaly.GetRepositoryMetadataRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='repository_id', full_name='gitaly.GetRepositoryMetadataRequest.repository_id', index=0,
      number=1, type=3, cpp_type=2, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='path', full_name='gitaly.GetRepositoryMetadataRequest.path', index=1,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[_GETREPOSITORYMETADATAREQUEST_PATH, ],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
    _descriptor.OneofDescriptor(
      name='query', full_name='gitaly.GetRepositoryMetadataRequest.query',
      index=0, containing_type=None, fields=[]),
  ],
  serialized_start=338,
  serialized_end=517,
)


_GETREPOSITORYMETADATARESPONSE_REPLICA = _descriptor.Descriptor(
  name='Replica',
  full_name='gitaly.GetRepositoryMetadataResponse.Replica',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='storage', full_name='gitaly.GetRepositoryMetadataResponse.Replica.storage', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='assigned', full_name='gitaly.GetRepositoryMetadataResponse.Replica.assigned', index=1,
      number=2, type=8, cpp_type=7, label=1,
      has_default_value=False, default_value=False,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='generation', full_name='gitaly.GetRepositoryMetadataResponse.Replica.generation', index=2,
      number=4, type=3, cpp_type=2, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='healthy', full_name='gitaly.GetRepositoryMetadataResponse.Replica.healthy', index=3,
      number=5, type=8, cpp_type=7, label=1,
      has_default_value=False, default_value=False,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='valid_primary', full_name='gitaly.GetRepositoryMetadataResponse.Replica.valid_primary', index=4,
      number=6, type=8, cpp_type=7, label=1,
      has_default_value=False, default_value=False,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='verified_at', full_name='gitaly.GetRepositoryMetadataResponse.Replica.verified_at', index=5,
      number=7, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=749,
  serialized_end=902,
)

_GETREPOSITORYMETADATARESPONSE = _descriptor.Descriptor(
  name='GetRepositoryMetadataResponse',
  full_name='gitaly.GetRepositoryMetadataResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='repository_id', full_name='gitaly.GetRepositoryMetadataResponse.repository_id', index=0,
      number=1, type=3, cpp_type=2, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='virtual_storage', full_name='gitaly.GetRepositoryMetadataResponse.virtual_storage', index=1,
      number=2, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='relative_path', full_name='gitaly.GetRepositoryMetadataResponse.relative_path', index=2,
      number=3, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='replica_path', full_name='gitaly.GetRepositoryMetadataResponse.replica_path', index=3,
      number=4, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='primary', full_name='gitaly.GetRepositoryMetadataResponse.primary', index=4,
      number=5, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='generation', full_name='gitaly.GetRepositoryMetadataResponse.generation', index=5,
      number=6, type=3, cpp_type=2, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='replicas', full_name='gitaly.GetRepositoryMetadataResponse.replicas', index=6,
      number=7, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[_GETREPOSITORYMETADATARESPONSE_REPLICA, ],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=520,
  serialized_end=902,
)


_SETREPLICATIONFACTORREQUEST = _descriptor.Descriptor(
  name='SetReplicationFactorRequest',
  full_name='gitaly.SetReplicationFactorRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='virtual_storage', full_name='gitaly.SetReplicationFactorRequest.virtual_storage', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='relative_path', full_name='gitaly.SetReplicationFactorRequest.relative_path', index=1,
      number=2, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='replication_factor', full_name='gitaly.SetReplicationFactorRequest.replication_factor', index=2,
      number=3, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=904,
  serialized_end=1009,
)


_SETREPLICATIONFACTORRESPONSE = _descriptor.Descriptor(
  name='SetReplicationFactorResponse',
  full_name='gitaly.SetReplicationFactorResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='storages', full_name='gitaly.SetReplicationFactorResponse.storages', index=0,
      number=1, type=9, cpp_type=9, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1011,
  serialized_end=1059,
)


_SETAUTHORITATIVESTORAGEREQUEST = _descriptor.Descriptor(
  name='SetAuthoritativeStorageRequest',
  full_name='gitaly.SetAuthoritativeStorageRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='virtual_storage', full_name='gitaly.SetAuthoritativeStorageRequest.virtual_storage', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='relative_path', full_name='gitaly.SetAuthoritativeStorageRequest.relative_path', index=1,
      number=2, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='authoritative_storage', full_name='gitaly.SetAuthoritativeStorageRequest.authoritative_storage', index=2,
      number=3, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1061,
  serialized_end=1172,
)


_SETAUTHORITATIVESTORAGERESPONSE = _descriptor.Descriptor(
  name='SetAuthoritativeStorageResponse',
  full_name='gitaly.SetAuthoritativeStorageResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1174,
  serialized_end=1207,
)


_DATALOSSCHECKREQUEST = _descriptor.Descriptor(
  name='DatalossCheckRequest',
  full_name='gitaly.DatalossCheckRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='virtual_storage', full_name='gitaly.DatalossCheckRequest.virtual_storage', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='include_partially_replicated', full_name='gitaly.DatalossCheckRequest.include_partially_replicated', index=1,
      number=2, type=8, cpp_type=7, label=1,
      has_default_value=False, default_value=False,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1209,
  serialized_end=1294,
)


_DATALOSSCHECKRESPONSE_REPOSITORY_STORAGE = _descriptor.Descriptor(
  name='Storage',
  full_name='gitaly.DatalossCheckResponse.Repository.Storage',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='name', full_name='gitaly.DatalossCheckResponse.Repository.Storage.name', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='behind_by', full_name='gitaly.DatalossCheckResponse.Repository.Storage.behind_by', index=1,
      number=2, type=3, cpp_type=2, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='assigned', full_name='gitaly.DatalossCheckResponse.Repository.Storage.assigned', index=2,
      number=3, type=8, cpp_type=7, label=1,
      has_default_value=False, default_value=False,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='healthy', full_name='gitaly.DatalossCheckResponse.Repository.Storage.healthy', index=3,
      number=4, type=8, cpp_type=7, label=1,
      has_default_value=False, default_value=False,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='valid_primary', full_name='gitaly.DatalossCheckResponse.Repository.Storage.valid_primary', index=4,
      number=5, type=8, cpp_type=7, label=1,
      has_default_value=False, default_value=False,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1530,
  serialized_end=1630,
)

_DATALOSSCHECKRESPONSE_REPOSITORY = _descriptor.Descriptor(
  name='Repository',
  full_name='gitaly.DatalossCheckResponse.Repository',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='relative_path', full_name='gitaly.DatalossCheckResponse.Repository.relative_path', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='storages', full_name='gitaly.DatalossCheckResponse.Repository.storages', index=1,
      number=2, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='unavailable', full_name='gitaly.DatalossCheckResponse.Repository.unavailable', index=2,
      number=3, type=8, cpp_type=7, label=1,
      has_default_value=False, default_value=False,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='primary', full_name='gitaly.DatalossCheckResponse.Repository.primary', index=3,
      number=4, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[_DATALOSSCHECKRESPONSE_REPOSITORY_STORAGE, ],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1387,
  serialized_end=1630,
)

_DATALOSSCHECKRESPONSE = _descriptor.Descriptor(
  name='DatalossCheckResponse',
  full_name='gitaly.DatalossCheckResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='repositories', full_name='gitaly.DatalossCheckResponse.repositories', index=0,
      number=2, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[_DATALOSSCHECKRESPONSE_REPOSITORY, ],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1297,
  serialized_end=1630,
)


_REPOSITORYREPLICASREQUEST = _descriptor.Descriptor(
  name='RepositoryReplicasRequest',
  full_name='gitaly.RepositoryReplicasRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='repository', full_name='gitaly.RepositoryReplicasRequest.repository', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1632,
  serialized_end=1699,
)


_REPOSITORYREPLICASRESPONSE_REPOSITORYDETAILS = _descriptor.Descriptor(
  name='RepositoryDetails',
  full_name='gitaly.RepositoryReplicasResponse.RepositoryDetails',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='repository', full_name='gitaly.RepositoryReplicasResponse.RepositoryDetails.repository', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='checksum', full_name='gitaly.RepositoryReplicasResponse.RepositoryDetails.checksum', index=1,
      number=2, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1875,
  serialized_end=1952,
)

_REPOSITORYREPLICASRESPONSE = _descriptor.Descriptor(
  name='RepositoryReplicasResponse',
  full_name='gitaly.RepositoryReplicasResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='primary', full_name='gitaly.RepositoryReplicasResponse.primary', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='replicas', full_name='gitaly.RepositoryReplicasResponse.replicas', index=1,
      number=2, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[_REPOSITORYREPLICASRESPONSE_REPOSITORYDETAILS, ],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1702,
  serialized_end=1952,
)

_MARKUNVERIFIEDREQUEST_STORAGE.containing_type = _MARKUNVERIFIEDREQUEST
_MARKUNVERIFIEDREQUEST.fields_by_name['storage'].message_type = _MARKUNVERIFIEDREQUEST_STORAGE
_MARKUNVERIFIEDREQUEST.oneofs_by_name['selector'].fields.append(
  _MARKUNVERIFIEDREQUEST.fields_by_name['repository_id'])
_MARKUNVERIFIEDREQUEST.fields_by_name['repository_id'].containing_oneof = _MARKUNVERIFIEDREQUEST.oneofs_by_name['selector']
_MARKUNVERIFIEDREQUEST.oneofs_by_name['selector'].fields.append(
  _MARKUNVERIFIEDREQUEST.fields_by_name['virtual_storage'])
_MARKUNVERIFIEDREQUEST.fields_by_name['virtual_storage'].containing_oneof = _MARKUNVERIFIEDREQUEST.oneofs_by_name['selector']
_MARKUNVERIFIEDREQUEST.oneofs_by_name['selector'].fields.append(
  _MARKUNVERIFIEDREQUEST.fields_by_name['storage'])
_MARKUNVERIFIEDREQUEST.fields_by_name['storage'].containing_oneof = _MARKUNVERIFIEDREQUEST.oneofs_by_name['selector']
_GETREPOSITORYMETADATAREQUEST_PATH.containing_type = _GETREPOSITORYMETADATAREQUEST
_GETREPOSITORYMETADATAREQUEST.fields_by_name['path'].message_type = _GETREPOSITORYMETADATAREQUEST_PATH
_GETREPOSITORYMETADATAREQUEST.oneofs_by_name['query'].fields.append(
  _GETREPOSITORYMETADATAREQUEST.fields_by_name['repository_id'])
_GETREPOSITORYMETADATAREQUEST.fields_by_name['repository_id'].containing_oneof = _GETREPOSITORYMETADATAREQUEST.oneofs_by_name['query']
_GETREPOSITORYMETADATAREQUEST.oneofs_by_name['query'].fields.append(
  _GETREPOSITORYMETADATAREQUEST.fields_by_name['path'])
_GETREPOSITORYMETADATAREQUEST.fields_by_name['path'].containing_oneof = _GETREPOSITORYMETADATAREQUEST.oneofs_by_name['query']
_GETREPOSITORYMETADATARESPONSE_REPLICA.fields_by_name['verified_at'].message_type = google_dot_protobuf_dot_timestamp__pb2._TIMESTAMP
_GETREPOSITORYMETADATARESPONSE_REPLICA.containing_type = _GETREPOSITORYMETADATARESPONSE
_GETREPOSITORYMETADATARESPONSE.fields_by_name['replicas'].message_type = _GETREPOSITORYMETADATARESPONSE_REPLICA
_DATALOSSCHECKRESPONSE_REPOSITORY_STORAGE.containing_type = _DATALOSSCHECKRESPONSE_REPOSITORY
_DATALOSSCHECKRESPONSE_REPOSITORY.fields_by_name['storages'].message_type = _DATALOSSCHECKRESPONSE_REPOSITORY_STORAGE
_DATALOSSCHECKRESPONSE_REPOSITORY.containing_type = _DATALOSSCHECKRESPONSE
_DATALOSSCHECKRESPONSE.fields_by_name['repositories'].message_type = _DATALOSSCHECKRESPONSE_REPOSITORY
_REPOSITORYREPLICASREQUEST.fields_by_name['repository'].message_type = shared__pb2._REPOSITORY
_REPOSITORYREPLICASRESPONSE_REPOSITORYDETAILS.fields_by_name['repository'].message_type = shared__pb2._REPOSITORY
_REPOSITORYREPLICASRESPONSE_REPOSITORYDETAILS.containing_type = _REPOSITORYREPLICASRESPONSE
_REPOSITORYREPLICASRESPONSE.fields_by_name['primary'].message_type = _REPOSITORYREPLICASRESPONSE_REPOSITORYDETAILS
_REPOSITORYREPLICASRESPONSE.fields_by_name['replicas'].message_type = _REPOSITORYREPLICASRESPONSE_REPOSITORYDETAILS
DESCRIPTOR.message_types_by_name['MarkUnverifiedRequest'] = _MARKUNVERIFIEDREQUEST
DESCRIPTOR.message_types_by_name['MarkUnverifiedResponse'] = _MARKUNVERIFIEDRESPONSE
DESCRIPTOR.message_types_by_name['GetRepositoryMetadataRequest'] = _GETREPOSITORYMETADATAREQUEST
DESCRIPTOR.message_types_by_name['GetRepositoryMetadataResponse'] = _GETREPOSITORYMETADATARESPONSE
DESCRIPTOR.message_types_by_name['SetReplicationFactorRequest'] = _SETREPLICATIONFACTORREQUEST
DESCRIPTOR.message_types_by_name['SetReplicationFactorResponse'] = _SETREPLICATIONFACTORRESPONSE
DESCRIPTOR.message_types_by_name['SetAuthoritativeStorageRequest'] = _SETAUTHORITATIVESTORAGEREQUEST
DESCRIPTOR.message_types_by_name['SetAuthoritativeStorageResponse'] = _SETAUTHORITATIVESTORAGERESPONSE
DESCRIPTOR.message_types_by_name['DatalossCheckRequest'] = _DATALOSSCHECKREQUEST
DESCRIPTOR.message_types_by_name['DatalossCheckResponse'] = _DATALOSSCHECKRESPONSE
DESCRIPTOR.message_types_by_name['RepositoryReplicasRequest'] = _REPOSITORYREPLICASREQUEST
DESCRIPTOR.message_types_by_name['RepositoryReplicasResponse'] = _REPOSITORYREPLICASRESPONSE
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

MarkUnverifiedRequest = _reflection.GeneratedProtocolMessageType('MarkUnverifiedRequest', (_message.Message,), dict(

  Storage = _reflection.GeneratedProtocolMessageType('Storage', (_message.Message,), dict(
    DESCRIPTOR = _MARKUNVERIFIEDREQUEST_STORAGE,
    __module__ = 'praefect_pb2'
    # @@protoc_insertion_point(class_scope:gitaly.MarkUnverifiedRequest.Storage)
    ))
  ,
  DESCRIPTOR = _MARKUNVERIFIEDREQUEST,
  __module__ = 'praefect_pb2'
  # @@protoc_insertion_point(class_scope:gitaly.MarkUnverifiedRequest)
  ))
_sym_db.RegisterMessage(MarkUnverifiedRequest)
_sym_db.RegisterMessage(MarkUnverifiedRequest.Storage)

MarkUnverifiedResponse = _reflection.GeneratedProtocolMessageType('MarkUnverifiedResponse', (_message.Message,), dict(
  DESCRIPTOR = _MARKUNVERIFIEDRESPONSE,
  __module__ = 'praefect_pb2'
  # @@protoc_insertion_point(class_scope:gitaly.MarkUnverifiedResponse)
  ))
_sym_db.RegisterMessage(MarkUnverifiedResponse)

GetRepositoryMetadataRequest = _reflection.GeneratedProtocolMessageType('GetRepositoryMetadataRequest', (_message.Message,), dict(

  Path = _reflection.GeneratedProtocolMessageType('Path', (_message.Message,), dict(
    DESCRIPTOR = _GETREPOSITORYMETADATAREQUEST_PATH,
    __module__ = 'praefect_pb2'
    # @@protoc_insertion_point(class_scope:gitaly.GetRepositoryMetadataRequest.Path)
    ))
  ,
  DESCRIPTOR = _GETREPOSITORYMETADATAREQUEST,
  __module__ = 'praefect_pb2'
  # @@protoc_insertion_point(class_scope:gitaly.GetRepositoryMetadataRequest)
  ))
_sym_db.RegisterMessage(GetRepositoryMetadataRequest)
_sym_db.RegisterMessage(GetRepositoryMetadataRequest.Path)

GetRepositoryMetadataResponse = _reflection.GeneratedProtocolMessageType('GetRepositoryMetadataResponse', (_message.Message,), dict(

  Replica = _reflection.GeneratedProtocolMessageType('Replica', (_message.Message,), dict(
    DESCRIPTOR = _GETREPOSITORYMETADATARESPONSE_REPLICA,
    __module__ = 'praefect_pb2'
    # @@protoc_insertion_point(class_scope:gitaly.GetRepositoryMetadataResponse.Replica)
    ))
  ,
  DESCRIPTOR = _GETREPOSITORYMETADATARESPONSE,
  __module__ = 'praefect_pb2'
  # @@protoc_insertion_point(class_scope:gitaly.GetRepositoryMetadataResponse)
  ))
_sym_db.RegisterMessage(GetRepositoryMetadataResponse)
_sym_db.RegisterMessage(GetRepositoryMetadataResponse.Replica)

SetReplicationFactorRequest = _reflection.GeneratedProtocolMessageType('SetReplicationFactorRequest', (_message.Message,), dict(
  DESCRIPTOR = _SETREPLICATIONFACTORREQUEST,
  __module__ = 'praefect_pb2'
  # @@protoc_insertion_point(class_scope:gitaly.SetReplicationFactorRequest)
  ))
_sym_db.RegisterMessage(SetReplicationFactorRequest)

SetReplicationFactorResponse = _reflection.GeneratedProtocolMessageType('SetReplicationFactorResponse', (_message.Message,), dict(
  DESCRIPTOR = _SETREPLICATIONFACTORRESPONSE,
  __module__ = 'praefect_pb2'
  # @@protoc_insertion_point(class_scope:gitaly.SetReplicationFactorResponse)
  ))
_sym_db.RegisterMessage(SetReplicationFactorResponse)

SetAuthoritativeStorageRequest = _reflection.GeneratedProtocolMessageType('SetAuthoritativeStorageRequest', (_message.Message,), dict(
  DESCRIPTOR = _SETAUTHORITATIVESTORAGEREQUEST,
  __module__ = 'praefect_pb2'
  # @@protoc_insertion_point(class_scope:gitaly.SetAuthoritativeStorageRequest)
  ))
_sym_db.RegisterMessage(SetAuthoritativeStorageRequest)

SetAuthoritativeStorageResponse = _reflection.GeneratedProtocolMessageType('SetAuthoritativeStorageResponse', (_message.Message,), dict(
  DESCRIPTOR = _SETAUTHORITATIVESTORAGERESPONSE,
  __module__ = 'praefect_pb2'
  # @@protoc_insertion_point(class_scope:gitaly.SetAuthoritativeStorageResponse)
  ))
_sym_db.RegisterMessage(SetAuthoritativeStorageResponse)

DatalossCheckRequest = _reflection.GeneratedProtocolMessageType('DatalossCheckRequest', (_message.Message,), dict(
  DESCRIPTOR = _DATALOSSCHECKREQUEST,
  __module__ = 'praefect_pb2'
  # @@protoc_insertion_point(class_scope:gitaly.DatalossCheckRequest)
  ))
_sym_db.RegisterMessage(DatalossCheckRequest)

DatalossCheckResponse = _reflection.GeneratedProtocolMessageType('DatalossCheckResponse', (_message.Message,), dict(

  Repository = _reflection.GeneratedProtocolMessageType('Repository', (_message.Message,), dict(

    Storage = _reflection.GeneratedProtocolMessageType('Storage', (_message.Message,), dict(
      DESCRIPTOR = _DATALOSSCHECKRESPONSE_REPOSITORY_STORAGE,
      __module__ = 'praefect_pb2'
      # @@protoc_insertion_point(class_scope:gitaly.DatalossCheckResponse.Repository.Storage)
      ))
    ,
    DESCRIPTOR = _DATALOSSCHECKRESPONSE_REPOSITORY,
    __module__ = 'praefect_pb2'
    # @@protoc_insertion_point(class_scope:gitaly.DatalossCheckResponse.Repository)
    ))
  ,
  DESCRIPTOR = _DATALOSSCHECKRESPONSE,
  __module__ = 'praefect_pb2'
  # @@protoc_insertion_point(class_scope:gitaly.DatalossCheckResponse)
  ))
_sym_db.RegisterMessage(DatalossCheckResponse)
_sym_db.RegisterMessage(DatalossCheckResponse.Repository)
_sym_db.RegisterMessage(DatalossCheckResponse.Repository.Storage)

RepositoryReplicasRequest = _reflection.GeneratedProtocolMessageType('RepositoryReplicasRequest', (_message.Message,), dict(
  DESCRIPTOR = _REPOSITORYREPLICASREQUEST,
  __module__ = 'praefect_pb2'
  # @@protoc_insertion_point(class_scope:gitaly.RepositoryReplicasRequest)
  ))
_sym_db.RegisterMessage(RepositoryReplicasRequest)

RepositoryReplicasResponse = _reflection.GeneratedProtocolMessageType('RepositoryReplicasResponse', (_message.Message,), dict(

  RepositoryDetails = _reflection.GeneratedProtocolMessageType('RepositoryDetails', (_message.Message,), dict(
    DESCRIPTOR = _REPOSITORYREPLICASRESPONSE_REPOSITORYDETAILS,
    __module__ = 'praefect_pb2'
    # @@protoc_insertion_point(class_scope:gitaly.RepositoryReplicasResponse.RepositoryDetails)
    ))
  ,
  DESCRIPTOR = _REPOSITORYREPLICASRESPONSE,
  __module__ = 'praefect_pb2'
  # @@protoc_insertion_point(class_scope:gitaly.RepositoryReplicasResponse)
  ))
_sym_db.RegisterMessage(RepositoryReplicasResponse)
_sym_db.RegisterMessage(RepositoryReplicasResponse.RepositoryDetails)


DESCRIPTOR.has_options = True
DESCRIPTOR._options = _descriptor._ParseOptions(descriptor_pb2.FileOptions(), _b('Z2gitlab.com/gitlab-org/gitaly/v15/proto/go/gitalypb'))

_PRAEFECTINFOSERVICE = _descriptor.ServiceDescriptor(
  name='PraefectInfoService',
  full_name='gitaly.PraefectInfoService',
  file=DESCRIPTOR,
  index=0,
  options=_descriptor._ParseOptions(descriptor_pb2.ServiceOptions(), _b('\360\227(\001')),
  serialized_start=1955,
  serialized_end=2543,
  methods=[
  _descriptor.MethodDescriptor(
    name='RepositoryReplicas',
    full_name='gitaly.PraefectInfoService.RepositoryReplicas',
    index=0,
    containing_service=None,
    input_type=_REPOSITORYREPLICASREQUEST,
    output_type=_REPOSITORYREPLICASRESPONSE,
    options=None,
  ),
  _descriptor.MethodDescriptor(
    name='DatalossCheck',
    full_name='gitaly.PraefectInfoService.DatalossCheck',
    index=1,
    containing_service=None,
    input_type=_DATALOSSCHECKREQUEST,
    output_type=_DATALOSSCHECKRESPONSE,
    options=None,
  ),
  _descriptor.MethodDescriptor(
    name='SetAuthoritativeStorage',
    full_name='gitaly.PraefectInfoService.SetAuthoritativeStorage',
    index=2,
    containing_service=None,
    input_type=_SETAUTHORITATIVESTORAGEREQUEST,
    output_type=_SETAUTHORITATIVESTORAGERESPONSE,
    options=None,
  ),
  _descriptor.MethodDescriptor(
    name='MarkUnverified',
    full_name='gitaly.PraefectInfoService.MarkUnverified',
    index=3,
    containing_service=None,
    input_type=_MARKUNVERIFIEDREQUEST,
    output_type=_MARKUNVERIFIEDRESPONSE,
    options=None,
  ),
  _descriptor.MethodDescriptor(
    name='SetReplicationFactor',
    full_name='gitaly.PraefectInfoService.SetReplicationFactor',
    index=4,
    containing_service=None,
    input_type=_SETREPLICATIONFACTORREQUEST,
    output_type=_SETREPLICATIONFACTORRESPONSE,
    options=None,
  ),
  _descriptor.MethodDescriptor(
    name='GetRepositoryMetadata',
    full_name='gitaly.PraefectInfoService.GetRepositoryMetadata',
    index=5,
    containing_service=None,
    input_type=_GETREPOSITORYMETADATAREQUEST,
    output_type=_GETREPOSITORYMETADATARESPONSE,
    options=None,
  ),
])
_sym_db.RegisterServiceDescriptor(_PRAEFECTINFOSERVICE)

DESCRIPTOR.services_by_name['PraefectInfoService'] = _PRAEFECTINFOSERVICE

# @@protoc_insertion_point(module_scope)
